public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-p2p/qbittorrent/
Date: Mon, 23 May 2022 22:15:50 +0000 (UTC)	[thread overview]
Message-ID: <1653343952.dedbdc466c8e0bdac003e60c0f158548967dc348.sam@gentoo> (raw)

commit:     dedbdc466c8e0bdac003e60c0f158548967dc348
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon May 23 22:12:32 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon May 23 22:12:32 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dedbdc46

net-p2p/qbittorrent: add 4.4.3

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-p2p/qbittorrent/Manifest                 |   1 +
 net-p2p/qbittorrent/qbittorrent-4.4.3.ebuild | 107 +++++++++++++++++++++++++++
 net-p2p/qbittorrent/qbittorrent-9999.ebuild  |  69 ++++++++++++-----
 3 files changed, 159 insertions(+), 18 deletions(-)

diff --git a/net-p2p/qbittorrent/Manifest b/net-p2p/qbittorrent/Manifest
index f9aaa711e403..c0d49325ec40 100644
--- a/net-p2p/qbittorrent/Manifest
+++ b/net-p2p/qbittorrent/Manifest
@@ -2,3 +2,4 @@ DIST qbittorrent-4.3.8.tar.gz 8506355 BLAKE2B e59be1556ad0be697e32d69d890115df6c
 DIST qbittorrent-4.3.9.tar.gz 8510414 BLAKE2B de98aff6d81f43c3ad87f6c5f800a4488e18173fb96713d0a2420cf4d4708c9b1f2f54c8d0aa566e7738b4f94d192aad9f0196a05d43724582ef81833901727f SHA512 ec33f67895fbf47acc2f79d9c9e16db8b96c756cf493b76eb24b90e13a790a709104ea9aa378ee111d8c38b605bed5192b366d1917bbf160b21aa2ae3aacd2d1
 DIST qbittorrent-4.4.1.tar.gz 9090594 BLAKE2B 1b0d4900352c069177913a2ef66bd986a45d13d52f191b824a4dbd38d84b037a7410a9c71cf487d537a5ce70b00e8f695c20acd85ede963731a84f39c9b8ee5c SHA512 155e0394e1599fbbae4b03fc39a13085eb4f797fdf7ff45d2c552c66cdb523e146b77da4fa0f14d6b5b64e3b56f9da7163fd544811a40a9a787848007bfbd0a6
 DIST qbittorrent-4.4.2.tar.gz 9197188 BLAKE2B 719ca031b1a5523cd29582d7d57ac48e5d3cfb8b1c62e23f01d116897e7753cda204a0dc401f364860eba750371f41178d87ae6d1f43241506868d90a8bc9e32 SHA512 55656fb5fd282a3ed0e703b9b47ec9733a70cf6242cae956a5b2487ef2aeb88a04bf5d37c8fa88554edf95ab0821b76ebebb53e8fc43dc5889f8c730075d6e26
+DIST qbittorrent-4.4.3.tar.gz 7757274 BLAKE2B aa6705e8c36cc5905e4767f5c09066d259143004550490c3dd3f225196053fc4b4bca9afa5f0b19a32267332e40576dc929a2597847fd1ce107fb36b351ba031 SHA512 e3de225f2a2cabc7de3d9a555ad83620465c229f7c2b382362e550f320b1ce620282927753a26c2f320675b96fb6f91bad9bd0533d7400eea14120594f9d1275

diff --git a/net-p2p/qbittorrent/qbittorrent-4.4.3.ebuild b/net-p2p/qbittorrent/qbittorrent-4.4.3.ebuild
new file mode 100644
index 000000000000..e66a7bbca615
--- /dev/null
+++ b/net-p2p/qbittorrent/qbittorrent-4.4.3.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake multibuild systemd xdg
+
+DESCRIPTION="BitTorrent client in C++ and Qt"
+HOMEPAGE="https://www.qbittorrent.org
+	  https://github.com/qbittorrent"
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/${PN}/qBittorrent.git"
+else
+	SRC_URI="https://github.com/qbittorrent/qBittorrent/archive/release-${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+	S="${WORKDIR}/qBittorrent-release-${PV}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+dbus +gui webui"
+REQUIRED_USE="dbus? ( gui )
+	|| ( gui webui )"
+
+RDEPEND="
+	>=dev-libs/boost-1.65.0-r1:=
+	dev-libs/openssl:=
+	dev-qt/qtcore:5
+	dev-qt/qtnetwork:5[ssl]
+	dev-qt/qtsql:5
+	dev-qt/qtxml:5
+	>=net-libs/libtorrent-rasterbar-1.2.14:=
+	sys-libs/zlib
+	dbus? ( dev-qt/qtdbus:5 )
+	gui? (
+		dev-libs/geoip
+		dev-qt/qtgui:5
+		dev-qt/qtsvg:5
+		dev-qt/qtwidgets:5
+	)"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-qt/linguist-tools:5
+	virtual/pkgconfig"
+
+DOCS=( AUTHORS Changelog CONTRIBUTING.md README.md TODO )
+
+src_prepare() {
+	MULTIBUILD_VARIANTS=( base )
+	use webui && MULTIBUILD_VARIANTS+=( webui )
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	multibuild_src_configure() {
+		local mycmakeargs=(
+			-DDBUS=$(usex dbus)
+
+			# musl lacks execinfo.h
+			-DSTACKTRACE=$(usex !elibc_musl)
+
+			# We always want to install unit files
+			-DSYSTEMD=ON
+			-DSYSTEMD_SERVICES_INSTALL_DIR=$(systemd_get_systemunitdir)
+
+			# More verbose build logs are preferable for bug reports
+			-DVERBOSE_CONFIGURE=ON
+
+			# Not yet in ::gentoo
+			-DQT6=OFF
+
+			# We do these in multibuild, see bug #839531 for why.
+			# Fedora has to do the same thing.
+			-DGUI=$(usex gui)
+		)
+
+		if [[ ${MULTIBUILD_VARIANT} == webui ]] ; then
+			mycmakeargs+=(
+				-DGUI=OFF
+				-DWEBUI=ON
+			)
+		else
+			mycmakeargs+=( -DWEBUI=OFF )
+		fi
+
+		cmake_src_configure
+	}
+
+	multibuild_foreach_variant multibuild_src_configure
+}
+
+src_compile() {
+	multibuild_foreach_variant cmake_src_compile
+}
+
+src_install() {
+	multibuild_foreach_variant cmake_src_install
+
+	if ! use webui ; then
+		# No || die deliberately as it doesn't always exist
+		rm "${D}/$(systemd_get_systemunitdir)"/qbittorrent-nox*.service
+	fi
+
+	einstalldocs
+}

diff --git a/net-p2p/qbittorrent/qbittorrent-9999.ebuild b/net-p2p/qbittorrent/qbittorrent-9999.ebuild
index 85869e0799fd..e66a7bbca615 100644
--- a/net-p2p/qbittorrent/qbittorrent-9999.ebuild
+++ b/net-p2p/qbittorrent/qbittorrent-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit cmake systemd xdg
+inherit cmake multibuild systemd xdg
 
 DESCRIPTION="BitTorrent client in C++ and Qt"
 HOMEPAGE="https://www.qbittorrent.org
@@ -21,7 +21,8 @@ fi
 LICENSE="GPL-2"
 SLOT="0"
 IUSE="+dbus +gui webui"
-REQUIRED_USE="dbus? ( gui )"
+REQUIRED_USE="dbus? ( gui )
+	|| ( gui webui )"
 
 RDEPEND="
 	>=dev-libs/boost-1.65.0-r1:=
@@ -45,30 +46,62 @@ BDEPEND="dev-qt/linguist-tools:5
 
 DOCS=( AUTHORS Changelog CONTRIBUTING.md README.md TODO )
 
+src_prepare() {
+	MULTIBUILD_VARIANTS=( base )
+	use webui && MULTIBUILD_VARIANTS+=( webui )
+
+	cmake_src_prepare
+}
+
 src_configure() {
-	local mycmakeargs=(
-		-DDBUS=$(usex dbus)
-		-DGUI=$(usex gui)
-		-DWEBUI=$(usex webui)
+	multibuild_src_configure() {
+		local mycmakeargs=(
+			-DDBUS=$(usex dbus)
+
+			# musl lacks execinfo.h
+			-DSTACKTRACE=$(usex !elibc_musl)
+
+			# We always want to install unit files
+			-DSYSTEMD=ON
+			-DSYSTEMD_SERVICES_INSTALL_DIR=$(systemd_get_systemunitdir)
 
-		# musl lacks execinfo.h
-		-DSTACKTRACE=$(usex !elibc_musl)
+			# More verbose build logs are preferable for bug reports
+			-DVERBOSE_CONFIGURE=ON
 
-		# We always want to install unit files
-		-DSYSTEMD=ON
-		-DSYSTEMD_SERVICES_INSTALL_DIR=$(systemd_get_systemunitdir)
+			# Not yet in ::gentoo
+			-DQT6=OFF
 
-		# More verbose build logs are preferable for bug reports
-		-DVERBOSE_CONFIGURE=ON
+			# We do these in multibuild, see bug #839531 for why.
+			# Fedora has to do the same thing.
+			-DGUI=$(usex gui)
+		)
 
-		# Not yet in ::gentoo
-		-DQT6=OFF
-	)
+		if [[ ${MULTIBUILD_VARIANT} == webui ]] ; then
+			mycmakeargs+=(
+				-DGUI=OFF
+				-DWEBUI=ON
+			)
+		else
+			mycmakeargs+=( -DWEBUI=OFF )
+		fi
 
-	cmake_src_configure
+		cmake_src_configure
+	}
+
+	multibuild_foreach_variant multibuild_src_configure
+}
+
+src_compile() {
+	multibuild_foreach_variant cmake_src_compile
 }
 
 src_install() {
-	cmake_src_install
+	multibuild_foreach_variant cmake_src_install
+
+	if ! use webui ; then
+		# No || die deliberately as it doesn't always exist
+		rm "${D}/$(systemd_get_systemunitdir)"/qbittorrent-nox*.service
+	fi
+
 	einstalldocs
 }


             reply	other threads:[~2022-05-23 22:15 UTC|newest]

Thread overview: 207+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-23 22:15 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-28 23:35 [gentoo-commits] repo/gentoo:master commit in: net-p2p/qbittorrent/ Jakov Smolić
2025-01-27 21:27 Sam James
2025-01-27  4:47 Eli Schwartz
2024-12-12  7:07 Arthur Zamarin
2024-12-12  3:46 Sam James
2024-11-26  5:57 Eli Schwartz
2024-11-01 16:25 Eli Schwartz
2024-11-01 16:25 Eli Schwartz
2024-11-01 16:25 Eli Schwartz
2024-10-21  6:34 Sam James
2024-10-21  6:34 Sam James
2024-10-01 23:13 Eli Schwartz
2024-10-01 23:13 Eli Schwartz
2024-10-01 23:13 Eli Schwartz
2024-10-01 23:13 Eli Schwartz
2024-10-01 23:13 Eli Schwartz
2024-10-01 23:13 Eli Schwartz
2024-09-22  7:20 Sam James
2024-09-22  7:20 Sam James
2024-09-19 23:54 Eli Schwartz
2024-09-19 23:54 Eli Schwartz
2024-08-20 15:45 Eli Schwartz
2024-08-20 15:45 Eli Schwartz
2024-07-01  6:47 Joonas Niilola
2024-07-01  6:47 Joonas Niilola
2024-05-31 20:10 Sam James
2024-05-30  4:26 Sam James
2024-05-30  4:07 Sam James
2024-05-30  3:54 Sam James
2024-04-07  6:17 Sam James
2024-02-26 22:27 Sam James
2024-02-26  7:26 Joonas Niilola
2024-02-26  7:26 Joonas Niilola
2024-01-25  7:44 Joonas Niilola
2024-01-25  4:22 Sam James
2024-01-22  5:55 Sam James
2024-01-22  5:55 Sam James
2024-01-22  5:55 Sam James
2024-01-22  5:55 Sam James
2024-01-22  5:55 Sam James
2024-01-22  5:55 Sam James
2024-01-22  5:55 Sam James
2024-01-22  5:55 Sam James
2024-01-22  5:55 Sam James
2024-01-22  5:55 Sam James
2024-01-21  2:44 Sam James
2024-01-21  2:44 Sam James
2024-01-14  4:08 Sam James
2024-01-14  4:05 Sam James
2024-01-14  4:05 Sam James
2024-01-14  4:05 Sam James
2023-12-21 16:13 Sam James
2023-11-26  7:08 Joonas Niilola
2023-10-28  9:18 Joonas Niilola
2023-10-28  9:18 Joonas Niilola
2023-10-09 20:17 Sam James
2023-10-09 16:21 Arthur Zamarin
2023-08-09 18:14 Piotr Karbowski
2023-06-21 19:46 Piotr Karbowski
2023-05-20 16:38 David Seifert
2023-05-20 10:48 David Seifert
2023-05-08  5:49 Piotr Karbowski
2023-05-02 15:21 Arthur Zamarin
2023-05-02 15:21 Arthur Zamarin
2023-03-01 22:34 Piotr Karbowski
2023-02-18  9:56 Piotr Karbowski
2023-02-18  9:56 Piotr Karbowski
2023-02-18  9:56 Piotr Karbowski
2022-11-30  0:52 Sam James
2022-11-29 21:46 Jakov Smolić
2022-11-28 21:22 Piotr Karbowski
2022-11-19 17:10 Piotr Karbowski
2022-11-19 15:29 Piotr Karbowski
2022-11-19 15:29 Piotr Karbowski
2022-11-11 11:07 Yixun Lan
2022-10-05 18:49 Mike Gilbert
2022-10-04 19:14 Mike Gilbert
2022-09-04 13:03 David Seifert
2022-08-30 19:36 Sam James
2022-08-24  0:21 Sam James
2022-08-12 12:29 Agostino Sarubbo
2022-08-10  4:28 Sam James
2022-08-08 12:34 Agostino Sarubbo
2022-06-02  3:53 Sam James
2022-05-25 22:59 Sam James
2022-05-25 22:59 Sam James
2022-04-19 21:00 Sam James
2022-04-19 20:52 Sam James
2022-04-19 20:52 Sam James
2022-04-19 16:39 Sam James
2022-03-25 23:12 Sam James
2022-03-25 23:12 Sam James
2022-03-23  1:05 Sam James
2022-03-22  9:27 Jakov Smolić
2022-03-22  9:27 Jakov Smolić
2022-03-22  0:34 Sam James
2022-03-22  0:33 Sam James
2022-03-22  0:33 Sam James
2022-03-22  0:27 Sam James
2022-03-22  0:27 Sam James
2022-02-06  7:40 Sam James
2022-02-01 22:39 Piotr Karbowski
2022-02-01 20:01 Mikle Kolyada
2021-10-31 20:16 Mikle Kolyada
2021-10-23  7:44 Agostino Sarubbo
2021-10-21  4:40 Agostino Sarubbo
2021-09-25  2:58 Sam James
2021-08-15  7:39 Mikle Kolyada
2021-05-15 13:12 Mikle Kolyada
2021-03-28 12:45 Mikle Kolyada
2021-01-24 11:03 Mikle Kolyada
2021-01-24 11:03 Mikle Kolyada
2021-01-24 11:03 Mikle Kolyada
2021-01-24 11:03 Mikle Kolyada
2020-12-01 11:58 Mikle Kolyada
2020-11-04 11:44 Mikle Kolyada
2020-10-19 17:27 Mikle Kolyada
2020-08-30 12:04 Mikle Kolyada
2020-08-30 12:04 Mikle Kolyada
2020-08-30 11:09 Mikle Kolyada
2020-04-25  9:35 Mikle Kolyada
2020-04-25  9:35 Mikle Kolyada
2020-04-25  9:33 Mikle Kolyada
2020-04-24 10:30 Mikle Kolyada
2020-04-03  8:46 Mikle Kolyada
2020-04-03  8:46 Mikle Kolyada
2020-03-27  8:00 Mikle Kolyada
2020-03-04 13:34 Mikle Kolyada
2020-03-04 13:34 Mikle Kolyada
2020-01-16 19:20 Mikle Kolyada
2020-01-16 19:20 Mikle Kolyada
2019-12-19 15:36 Mikle Kolyada
2019-12-19 15:34 Mikle Kolyada
2019-12-06 18:00 Mikle Kolyada
2019-12-06 17:59 Mikle Kolyada
2019-11-04  8:22 Mikle Kolyada
2019-11-01  6:39 Mikle Kolyada
2019-09-29 17:42 Mikle Kolyada
2019-09-29 17:39 Mikle Kolyada
2019-08-04 19:01 Mikle Kolyada
2019-08-04 18:59 Mikle Kolyada
2019-08-02 13:03 Mikle Kolyada
2019-07-16  9:39 Andreas Sturmlechner
2019-05-11 13:03 Mikle Kolyada
2019-02-16 10:09 Mikle Kolyada
2019-01-25 14:20 Mikle Kolyada
2018-12-25 10:32 Mikle Kolyada
2018-12-25 10:31 Mikle Kolyada
2018-12-15 15:47 Mikle Kolyada
2018-11-19 11:00 Mikle Kolyada
2018-11-19 11:00 Mikle Kolyada
2018-10-31 14:24 Mikle Kolyada
2018-10-07 19:07 Mikle Kolyada
2018-09-19 18:33 Mikle Kolyada
2018-08-30 18:06 Mikle Kolyada
2018-08-15  1:36 Mikle Kolyada
2018-08-13  1:58 Mikle Kolyada
2018-08-13  1:50 Mikle Kolyada
2018-08-13  0:57 Mikle Kolyada
2018-07-22 13:37 Mikle Kolyada
2018-07-14 18:43 Mikle Kolyada
2018-06-14 14:41 Mikle Kolyada
2018-06-14 13:27 Mikle Kolyada
2018-04-25  0:38 Aaron Bauman
2018-03-10  1:51 Michael Palimaka
2018-02-22 10:51 Andreas Sturmlechner
2018-02-04 17:41 Andreas Sturmlechner
2018-02-03 13:58 Michael Palimaka
2017-12-22 16:30 Pacho Ramos
2017-12-22 11:56 Michael Palimaka
2017-12-22 11:47 Michael Palimaka
2017-12-22 11:35 Michael Palimaka
2017-12-22 11:35 Michael Palimaka
2017-11-08 13:38 Agostino Sarubbo
2017-11-05 21:29 Thomas Deutschmann
2017-10-28  0:56 Michael Palimaka
2017-09-24  6:45 Michael Palimaka
2017-05-21  2:28 Davide Pesavento
2017-04-25  8:55 Michael Palimaka
2017-04-25  8:55 Michael Palimaka
2017-04-06 17:41 Davide Pesavento
2017-03-28 22:21 Michael Weber
2017-03-19 23:12 Andreas Sturmlechner
2017-03-18 23:05 Andreas Sturmlechner
2017-03-10  9:13 Agostino Sarubbo
2017-02-24 13:42 Markos Chandras
2017-01-29 20:04 David Seifert
2016-11-13 19:07 Markus Meier
2016-10-15 23:23 Davide Pesavento
2016-10-15 23:23 Davide Pesavento
2016-05-27 17:39 Davide Pesavento
2016-05-05  1:07 Davide Pesavento
2016-05-05  0:39 Davide Pesavento
2016-05-02 18:49 Davide Pesavento
2016-05-02 15:46 Davide Pesavento
2016-05-02 15:46 Davide Pesavento
2016-01-24 22:25 Jauhien Piatlicki
2016-01-24 22:25 Jauhien Piatlicki
2016-01-21 17:33 Jauhien Piatlicki
2015-12-03 18:00 Markos Chandras
2015-11-05 17:14 Markos Chandras
2015-11-04 21:09 Markos Chandras
2015-10-14 13:37 Michael Palimaka
2015-10-01 14:21 Michael Palimaka
2015-08-25 22:00 Jauhien Piatlicki
2015-08-09 17:48 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653343952.dedbdc466c8e0bdac003e60c0f158548967dc348.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox